/*
	MiniTERM library  mtmlib.h
	Copyright 1991-1995 Ogasawara Hiroyuki (COR.)
*/
#ifndef	__MTm_LIB__
# define __MTm_LIB__
# ifndef _WLIB_
#  include	<wlib.h>
# endif

#define		MTM_MAXSIZEX	96
#define		MTM_MAXSIZEY	32

extern void	MTmInit();
extern void	MTmCursorOff();
extern void	MTmCursorOn();
extern void	MTmGoto( int, int );
extern void	MTmTPutc( int );
extern void	MTmVPutc( int );
extern void	MTmDecEsc( int );
extern void	MTmPutc( int );
extern void	MTmFlush();
extern void	MTmSetAttr( int, int );
extern int	MTmSetDraw( DrawBuf* );
extern void	MTmRedraw();
extern void	MTmClrLine( int );
extern int	MTmClrLineSetDraw( DrawBuf*, int, int );
extern void	MTmClrScreen( int );
extern void	MTmScroll( int );
extern void	MTmScrollB( int );
extern void	MTmDelLine( int );
extern void	MTmInsLine( int );
extern void	MTmRScroll( int, int, int );
extern void	MTmRScrollB( int, int, int );
extern void	MTmCr();
extern void	MTmDelChar( int );
extern void	MTmInsChar( int );
extern void	MTmClrChar( int );
#ifndef __MTm_NO_PROTO
extern void	MTmTPuts( char* );
extern void	MTmVPuts( char* );
extern void	MTmPuts( char* );
extern void	MTmRPuts( char* );
#endif

/* Global vars */

extern unsigned char	*MTm_scr[];
extern unsigned char	MTm_buf[][ MTM_MAXSIZEX+2 ];
extern unsigned char	MTm_outbuf[];
extern unsigned char	*MTm_outptr;

extern int	MTmCurx;
extern int	MTmCury;
extern int	MTmFont_x;
extern int	MTmFont_y;
extern int	MTmAttr;
extern int	MTmBackAttr;
extern int	MTmCursor;
extern int	MTmScreenX;
extern int	MTmScreenY;
extern int	MTmScreen_s;
extern int	MTmScreen_e;
extern int	MTmScrollStep;
extern int	MTmEscMode;
extern int	MTmFlag;
extern int	MTmBufKanji;
extern WindowID	MTwp;

#endif
